<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$dostup=trim($udata[7]);
$privat=trim($udata[10]);}

if ($_SESSION['log']!="" && md5($_SESSION['par'])!="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){
$time=time();

echo'<img src="../images/img/partners.gif" alt=""> <b>Бан/Разбан</b><br><br>';

//---------------------- Форма ввода логина ------------------------------//
if(!isset($action)){
echo '<form method="post" action="zaban.php?action=edit&amp;'.SID.'">';
echo 'Введите логин юзера:<br>';
echo '<input type="text" name="users" maxlength="20" /><br><br>';
echo '<input value="Получить данные" type="submit" /></form><hr>';
}


//---------------------- Редактирование профиля ------------------------------//
if($action=="edit"){
if(!empty($users)){

$users=check(trim($users));
$text = file("../local/profil/$users.prof"); 
if ($text!=""){	
$udc = explode(":||:",$text[0]);

echo '<img src="../images/img/profiles.gif" alt=""> <b>Профиль юзера '.$users.'</b><br><br>';
echo 'Общее число строгих нарушений: <b>'.(int)$udc[64].'</b><br>';
if(ctype_digit($udc[52])){echo 'Последний бан: '.date("j.m.y/H:i",check($udc[52])).'<br>';}

echo '<br>';

if($udc[7]>=101 && $udc[7]<=105 && $users!=$log){
//if($log!=$config_nikname && $users==$config_nikname)
echo 'У ВАС НЕДОСТАТОЧНО ПРАВ ДЛЯ БАНА ЭТОГО АККАУНТА!<br>';
echo 'Нельзя банить модеров или админов<br>';
}else{

if($users==$log){
echo '<b><font color="red">ВНИМАНИЕ! ВЫ РЕДАКТИРУЕТЕ CОБСТВЕННЫЙ АККАУНТ!</font></b><br><br>';}

$ost_time=round($udc[38]-$time);



if($udc[37]=="0" || $udc[37]=="" || $udc[38]<$time){
if($udc[64]<5){
echo '<form method="post" action="zaban.php?action=zaban&amp;users='.$users.'&amp;'.SID.'">';
echo 'На какое время:<br><input name="udd38" /><br>';


echo '<input name="bform" type="radio" value="min" checked> Минут<br>';	
echo '<input name="bform" type="radio" value="chas"> Часов<br>';
echo '<input name="bform" type="radio" value="sut"> Суток<br>';


echo 'Причина бана:<br><input name="udd39" /><br>';
echo '<input value="Забанить" type="submit"></form><hr>';
echo 'Число нарушений считается при бане более чем на 3 часа (180 мин)<br>';
echo 'При общем числе нарушений более 5, профиль юзера удаляется<br>';
echo 'Максимальное время бана 30 суток<br>';
echo 'Внимание! Постарайтесь как можно подробнее описать причину бана<br>';

}else{
echo 'Внимание! Пользователь превысил лимит банов<br>';	
echo 'Вы можете удалить этот профиль!<br><br>';
echo '<img src="../images/img/error.gif" alt=""> <b><a href="zaban.php?action=deluser&amp;users='.$users.'&amp;'.SID.'">Удалить профиль</a></b>';}


}else{
	
echo '<form method="post" action="zaban.php?action=razban&amp;users='.$users.'&amp;'.SID.'">';
echo '<br><b><font color=red>Внимание, юзер находится в бане!</font></b><br>';
if(ctype_digit($udc[52])){echo 'Дата бана: '.date("j.m.y/H:i",check($udc[52])).'<br>';}
echo 'До окончания бана осталось '.formattime($ost_time).'<br>';
echo 'Причина бана: '.check($udc[39]).'<br>';
echo 'Забанил: <a href="../pages/anketa.php?uz='.check($udc[63]).'&amp;'.SID.'">'.check($udc[63]).'</a><br><br>';
echo '<input value="Разбанить" type="submit"></form><hr>';
}




}

}else{echo 'Ошибка, юзера с таким логином не существует!';}
}else{echo 'Ошибка, вы не ввели логин!';}

echo '<br><br><img src="../images/img/back.gif" alt=""> <a href="zaban.php?'.SID.'">Вернуться</a>';
}




//---------------------- Изменение профиля ------------------------------//
if($action=="zaban"){
if (file("../local/profil/$users.prof")) {

if($bform=="min"){$ban_time=$udd38;}
if($bform=="chas"){$ban_time=round($udd38*60);}		
if($bform=="sut"){$ban_time=round($udd38*60*24);}	
		
if ($ban_time!=""){
if ($ban_time<="43200"){	
if ($udd39!=""){	

//------------------------ Запись в профиль -----------------------------//
$ufile = file(BASEDIR."local/profil/$users.prof"); 
$udata = explode(":||:",$ufile[0]);

$udata[37]=1;
$udata[38]=round($time+($ban_time*60));
$udata[39]=check($udd39);
$udata[52]=$time;
$udata[63]=check($log);
if($ban_time>180){$udata[64]++;}

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$users.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}

echo 'Данные юзера '.$users.' успешно изменены!<br>';
echo '<b><font color="FF0000">Аккаунт заблокирован!</font></b><br><br>'; 

echo'<a href="zaban.php?'.SID.'">Редактировать нового юзера</a><br>';

}else{ echo'Произошла ошибка. Вы не указали причину бана!<br>';}
}else{ echo'Произошла ошибка. Максимальное время бана 30 дней!<br>';}
}else{ echo'Произошла ошибка. Вы не указали время бана!<br>';}
}else{ echo'Произошла ошибка. Пользователя с таким логином не существует!<br>';}
echo'<br><img src="../images/img/back.gif" alt=""> <a href="zaban.php?action=edit&amp;users='.$users.'&amp;'.SID.'">Вернуться</a>';
}



//---------------------- Изменение профиля ------------------------------//
if($action=="razban"){
if (file("../local/profil/$users.prof")) {
	



//------------------------ Запись в профиль -----------------------------//
$ufile = file(BASEDIR."local/profil/$users.prof"); 
$udata = explode(":||:",$ufile[0]);


$udata[37]=0;
$udata[38]=0;
$udata[39]="";
$udata[63]="";
if($udata[64]>0){$udata[64]--;}


for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$users.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}

echo 'Данные юзера '.$users.' успешно изменены!<br>';
echo '<b><font color="00FF00">Аккаунт разблокирован!</font></b><br><br>'; 

echo'<a href="zaban.php?'.SID.'">Редактировать нового юзера</a><br>';

}else{ echo'Произошла ошибка. Пользователя с таким логином не существует!<br>';}
echo'<br><img src="../images/img/back.gif" alt=""> <a href="zaban.php?action=edit&amp;users='.$users.'&amp;'.SID.'">Вернуться</a>';
}


//---------------------- Удаление профиля ------------------------------//
if($action=="deluser"){
$users=check($users);
$text = file("../local/profil/$users.prof"); 
if ($text!=""){	
$udc = explode(":||:",$text[0]);}
if($udc[64]>=5){

delete_users($users);

echo'Профиль пользователя успешно удален!<br>';
}else{echo '<br><img src="../images/img/error.gif" alt=""> Ошибка удаления профиля!<br>';}
echo'<br><img src="../images/img/back.gif" alt=""> <a href="zaban.php?'.SID.'">Вернуться</a>';
}



echo'<br><img src="../images/img/panel.gif" alt=""> <a href="index.php?'.SID.'">В админку</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br>';

} else {header ("Location: ../index.php?error&".SID);}
} else {header ("Location: ../index.php?error&".SID);}

include_once"../themes/$config_themes/foot.php";
?>

